FIXINCLUDES(1)

NAME
fixincludes - Reduce the number of #includes in KDE source files

SYNOPSIS

fixincludes [-v, --verbose] [-e, --experimental] [-m, --modify] [file] [--help]

DESCRIPTION

fixincludes tries to reduce the number of #includes in C++ source files. Much of it's processing is specific to KDE sources and so it might not work so well with sources for non-KDE applications.

The following problems are identified by fixincludes:

    • Including headers that are no longer supported but which exist for compatibility with older Qt/KDE versions;

    • Including the same file multiple times.

There is also an experimental mode which tries removing each #include one at a time (with a few exceptions) to see whether the source still compiles. Note that this experimental mode will modify the original sources.

By default the sources will not be modified; the identified problems will simply be written to standard output.

The list of C++ sources to examine should be given on the command-line. If no files are given, all C++ sources in or beneath the current directory will be examined (with the exception of directories whose Makefile.am contains -UQT_NO_COMPAT or -UKDE_NO_COMPAT)

This utility is part of the KDE Software Development Kit.

OPTIONS

-v, --verbose
    Verbose mode. Additional debugging output is written to standard output.

-e, --experimental
    Experimental mode, as described above in detail. Note that this option implies --modify.

-m, --modify
    As well as writing messages to standard output, actually modify the original sources to fix any problems that were found.

AUTHORS

fixincludes was written by Dirk Mueller mueller@kde.org.

AUTHOR

Ben Burton <bab@debian.org>
    Author.